package cz.moneta.test.harness.support.messaging.exception;

/**
 * Exception thrown when message receiving times out.
 * No matching message found within the specified timeout period.
 */
public class MessagingTimeoutException extends MessagingException {

    public MessagingTimeoutException(String message) {
        super(message);
    }

    public MessagingTimeoutException(String message, Throwable cause) {
        super(message, cause);
    }

    public MessagingTimeoutException(Throwable cause) {
        super(cause);
    }
}
